
var user_private=0;
var newURL = window.location.protocol + "//" + window.location.host + "/" + window.location.pathname;


function borra(id){
       var r=confirm("Esta seguro que desea Borrar este mensaje");
       if(r){
        var parametros = {
                "id_chat" : id               
        }; 
        $.ajax({
                data: parametros,
                url:   '../hotel1/chat/borrar.php',
                type:  'post',
                success:  function (response) { 
                    alert(response);//$("#texto").html(response);
                }
        }); 
    }
   
}

function cargarmsjs(){
     $.ajax({
                url:   '../hotel1/chat/mensajes.php?ide='+user_private,
                type:  'get',
                cache: false,
                success:  function (response) {
                      $('.mensajes').html(response);
                }
        });
       // readmsj();
      
}
 
function readmsj(){
    
    var parametros= {
        "user" : user_private
    }
    $.ajax({    
                data : parametros, 
                type : 'post',
                url :  '../hotel1/chat/readmsj.php',
                datatype: 'json',
                success:  function (response) { 
                    var json = JSON.parse(response);
                    //$('.demo').html(response);
                   if(json.length>0){
                       
                       
                       for (i=0;i<json.length;i++){
                          if( $(".nummsjs"+json[i].user).length==0 &&json[i].count!=0){
                            document.getElementById('audio').play();//reproduzco sonido;
                            //scroll(); 
                            }
                            $("#u-"+json[i].user).addClass("rojo");
                           // $(".nummsjs").remove();
                            $(".nummsjs"+json[i].user).remove();
                            $("#u-"+json[i].user).removeClass("rojo")
                             
                             
                             if(json[i].count!=0)
                             {
                                 
                            $(".userclick"+json[i].user+",#u-"+json[i].user).html(
                            $(".userclick"+json[i].user+",#u-"+json[i].user).html()+"<span class='nummsjs"+json[i].user+"'> "+json[i].count+"</span>").addClass("rojo"); 
                             }
                       }
                       
                   }
                }
        }); 
}
 
function scroll(){
    var dmsj    = $('.mensajes');

}
 
$( document ).ready(function() {
    scroll();
  
$("ul li").click(function(){
  
    id=$(this).attr('value');
    user_private=id;
    $("ul li").removeClass("pulsed");
   $(this).addClass("pulsed");
    cargarmsjs();
    
    
});
    var titulo= $("#titulo").html();
    
 $('.userclick').click(function() {
    id=$(this).attr('value');
    user_private=id;
    /*var parametros= {
        "id" : user_private
    }*/
    
    $.ajax({
                //data: parametros,
                url:   'nombre.php?id='+user_private,
                type:  'get',
                success:  function (nombre) {
                      $("#titulo").text(titulo+" con "+nombre);
                }
        });  
    cargarmsjs();
      
 });
 
 $('#form').submit(function() {
     
        var parametros = {
                "mensaje" : $('#mensaje').val(),
                "enviar" : 1,
                "user_dest" : user_private
        };
        $.ajax({
                data:  parametros,
                url:   '../hotel1/chat/promsj.php',
                type:  'post',
                beforeSend: function () {
                        //$(".preprocer").html("enviado");
                },
                success:  function (response) {
                   ///   $('.mensajes').append($('#mensaje').val());
 $('#mensaje').val('');
                    cargarmsjs();
                }
        });
        
        document.getElementById('mensaje').value="";
        document.getElementById('mensaje').focus();
     
               return false;
 });
   
    
});




